Bug 439110 - Bundle creation fails silently with non-existent dir path
Summary: Bundle creation fails silently with non-existent dir path
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: git master (please specify the git hash!)
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: amyspark
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-24 11:06 UTC by Alvin Wong
Modified: 2021-11-16 15:56 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvin Wong 2021-06-24 11:06:14 UTC
The default save dir is set to `~/Documents`, if it does not exist then saving the bundle just fails silently with "QuaZip::close(): ZIP is not open" being printed to the terminal.

Commit 44078989ea
Comment 2 Dmitry Kazakov 2021-11-10 14:04:11 UTC
This bug seems to still be present in e109a49e80eb47ffed80fafc9503e12a0af5d3df, which is from 2021-11-08
Comment 3 amyspark 2021-11-15 16:03:38 UTC
This isn't actually handled anywhere, write failures are only logged to the console.
Comment 4 amyspark 2021-11-16 15:55:14 UTC
Git commit 36706060f73f39099f609c96334c7146188c0b4f by L. E. Segovia.
Committed on 16/11/2021 at 15:53.
Pushed by lsegovia into branch 'krita/5.0'.

Bundles: report save failure to the user

M  +8    -1    plugins/extensions/resourcemanager/dlg_create_bundle.cpp

https://invent.kde.org/graphics/krita/commit/36706060f73f39099f609c96334c7146188c0b4f
Comment 5 amyspark 2021-11-16 15:56:32 UTC
Git commit 712a8434a4975f29c72823df65b344c0d1c8106f by L. E. Segovia.
Committed on 16/11/2021 at 15:55.
Pushed by lsegovia into branch 'master'.

Bundles: report save failure to the user
(cherry picked from commit 36706060f73f39099f609c96334c7146188c0b4f)

M  +8    -1    plugins/extensions/resourcemanager/dlg_create_bundle.cpp

https://invent.kde.org/graphics/krita/commit/712a8434a4975f29c72823df65b344c0d1c8106f